## e2guardian 5.5.9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)
project(v5_5)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_FLAGS -DHAVE_CONFIG_H -D__LOGLOCATION -D__PIDDIR -D__PROXYUSER -D__PROXYGROUP -D__CONFDIR)

include_directories(.)
include_directories(src)

add_executable(v5_5
        src/authplugins/dnsauth.cpp
        src/authplugins/header.cpp
        src/authplugins/ident.cpp
        src/authplugins/ip.cpp
        src/authplugins/port.cpp
        src/authplugins/ProxyFirstBasic.cpp
        src/authplugins/BearerBasic.cpp
        src/contentscanners/avastdscan.cpp
        src/contentscanners/clamdscan.cpp
        src/contentscanners/commandlinescan.cpp
        src/contentscanners/icapscan.cpp
        src/contentscanners/kavdscan.cpp
        src/downloadmanagers/default.cpp
        src/downloadmanagers/fancy.cpp
        src/downloadmanagers/trickle.cpp
        src/Auth.cpp
        src/Auth.hpp
        src/BackedStore.cpp
        src/BackedStore.hpp
        src/BaseSocket.cpp
        src/BaseSocket.hpp
        src/CertificateAuthority.cpp
        src/CertificateAuthority.hpp
        src/ConfigVar.cpp
        src/ConfigVar.hpp
        src/ConnectionHandler.cpp
        src/ConnectionHandler.hpp
        src/ContentScanner.cpp
        src/ContentScanner.hpp
        src/DataBuffer.cpp
        src/DataBuffer.hpp
        src/DownloadManager.cpp
        src/DownloadManager.hpp
        src/DynamicIPList.cpp
        src/DynamicIPList.hpp
        src/DynamicURLList.cpp
        src/DynamicURLList.hpp
        src/e2guardian.cpp
        src/FatController.cpp
        src/FatController.hpp
        src/FDTunnel.cpp
        src/FDTunnel.hpp
        src/FOptionContainer.cpp
        src/FOptionContainer.hpp
        src/HTMLTemplate.cpp
        src/HTMLTemplate.hpp
        src/HTTPHeader.cpp
        src/HTTPHeader.hpp
        src/ICAPHeader.cpp
        src/ICAPHeader.hpp
        src/ImageContainer.cpp
        src/ImageContainer.hpp
        src/IPList.cpp
        src/IPList.hpp
        src/LanguageContainer.cpp
        src/LanguageContainer.hpp
        src/ListContainer.cpp
        src/ListContainer.hpp
        src/ListManager.cpp
        src/ListManager.hpp
        src/ListMeta.cpp
        src/ListMeta.hpp
        src/Logger.cpp
        src/Logger.hpp
        src/LOptionContainer.cpp
        src/LOptionContainer.hpp
        src/Makefile
        src/md5.cpp
        src/md5.hpp
        src/NaughtyFilter.cpp
        src/NaughtyFilter.hpp
        src/OptionContainer.cpp
        src/OptionContainer.hpp
        src/Plugin.hpp
        src/Queue.hpp
        src/RegExp.cpp
        src/RegExp.hpp
        src/SBFunction.cpp
        src/SBFunction.hpp
        src/SNI.cpp
        src/Socket.cpp
        src/Socket.hpp
        src/SocketArray.cpp
        src/SocketArray.hpp
        src/StoryBoard.cpp
        src/StoryBoard.hpp
        src/String.cpp
        src/String.hpp
        src/SysV.cpp
        src/SysV.hpp
        src/UdpSocket.cpp
        src/UdpSocket.hpp
        src/UDSocket.cpp
        src/UDSocket.hpp
        src/UrlRec.hpp
        e2config.h)

## e2guardian 3.0.4

=== debian/changelog ===
e2guardian (3.0.4-7) eole-2.4-unstable; urgency=low

  [ Daniel Dehennin ]
  * [11ccd3d] Ne pas activer e2guardian à l’installation

  [ EOLE Build Daemon ]
  * [5eae7b7] Daniel Dehennin: Update package since “debian/eole/2.4/3.0.4-6”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Fri, 06 Feb 2015 11:30:24 +0100

e2guardian (3.0.4-6) eole-2.4-unstable; urgency=low

  [ Daniel Dehennin ]
  * [b67447d] Compiler e2guardian pour toutes les architectures

  [ EOLE Build Daemon ]
  * [825879b] Daniel Dehennin: Update package since “debian/eole/2.4/3.0.4-5”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Tue, 27 Jan 2015 13:57:25 +0100

e2guardian (3.0.4-5) eole-2.4-unstable; urgency=low

  [ Philippe Caseiro ]
  * [0779c4c] Ajout d'un meilleur patch pour le problème de segv

  [ EOLE Build Daemon ]
  * [78d2918] Philippe Caseiro: Update package since 'debian/eole/2.4/3.0.4-4'

 -- Philippe Caseiro <pcaseiro@cadoles.com>  Fri, 12 Dec 2014 15:21:40 +0100

e2guardian (3.0.4-4) eole-2.4-unstable; urgency=low

  [ Philippe Caseiro ]
  * [e5ce9e7] Ajout d'un patch pour corriger un segfault

  [ EOLE Build Daemon ]
  * [abb10c2] Philippe Caseiro: Update package since 'debian/eole/2.4/3.0.4-3'

 -- Philippe Caseiro <pcaseiro@cadoles.com>  Fri, 12 Dec 2014 11:51:16 +0100

e2guardian (3.0.4-3) eole-2.4-unstable; urgency=low

  [ Philippe Caseiro ]
  * [ca9eae6] debian/rules: Modification des seuils filedescriptors

  [ EOLE Build Daemon ]
  * [35661e5] Philippe Caseiro: Update package since 'debian/eole/2.4/3.0.4-2'

 -- Philippe Caseiro <pcaseiro@cadoles.com>  Tue, 09 Dec 2014 15:17:37 +0100

e2guardian (3.0.4-2) eole-2.4-unstable; urgency=low

  [ Philippe Caseiro ]
  * [ebe56ad] debian/conffiles: Retour des fichiers de langue a leur place

  [ EOLE Build Daemon ]
  * [8bbdcf6] Philippe Caseiro: Update package since 'debian/eole/2.4/3.0.4-1'

 -- Philippe Caseiro <pcaseiro@cadoles.com>  Tue, 09 Dec 2014 14:35:17 +0100

e2guardian (3.0.4-1) eole-2.4-unstable; urgency=low

  * [f8aa0cf] Ajout du début du packaging
  * [eea9ea9] Mise à jour du fichier control
  * [f7cef4f] debian/rules: Ajout des options de compilations de la "doc" e2guardian
  * [d732df5] Ajout de debian/compat
  * [cdb7174] debian/control: Ajout d'une dépendance de build.
  * [5a92b40] debian/rules: Corrections pour le build de e2guardian

 -- Philippe Caseiro <pcaseiro@cadoles.com>  Tue, 09 Dec 2014 13:50:50 +0100

=== debian/control ===
Source: e2guardian
Section: web
Priority: optional
Maintainer: Équipe EOLE <eole@ac-dijon.fr>
Build-Depends: debhelper (>= 9), zlib1g-dev, automake, autotools-dev, dpatch, libclamav-dev (>= 0.90), libpcre3-dev, dh-autoreconf
Standards-Version: 3.9.2
Vcs-Browser: https://github.com/e2guardian/e2guardian
Vcs-Git: https://github.com/e2guardian/e2guardian

Package: e2guardian 
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         adduser,
         perl,
         clamav (>= 0.80)
Suggests: squid, clamav (>= 0.80), clamav-freshclam
Description: Web content filtering
 e2guardian filters the content of pages based on many methods
 including phrase matching, PICS filtering and URL filtering. It does
 not purely filter based on a banned list of sites.
 .
 It provides real-time virus scanning capabilities for content access.
 .
 e2guardian is designed to be completely flexible and allows you to tailor
 the filtering to your exact needs. It can be as draconian or as
 unobstructive as you want. The default settings are geared towards what a
 primary school might want but e2guardian puts you in control of what you
 want to block.
 .
 e2guardian requires squid or another similar caching proxy server
 on your local network.

=== debian/rules ===
#!/usr/bin/make -f

# Include dpatch stuff.
include /usr/share/dpatch/dpatch.make

%:
	dh $@ #--with autotools_dev,autoreconf

override_dh_auto_configure:
	./autogen.sh && ./configure \
		--prefix=/usr \
		--enable-clamav=yes \
		--enable-clamd=yes \
		--with-proxyuser=e2guardian \
		--with-proxygroup=e2guardian \
		--sysconfdir=/etc \
		--localstatedir=/var \
		--enable-icap=yes \
		--enable-commandline=yes \
		--enable-email=yes \
		--enable-ntlm=yes \
		--enable-trickledm=yes \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		'CXXFLAGS=-g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security' \
		'LDFLAGS=-Wl,-z,relro' \
		'CPPFLAGS=-D_FORTIFY_SOURCE=2' \
		'CFLAGS=-g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security' \
		'--enable-pcre=yes'  \
		'--with-filedescriptors=1024' \
		'--enable-locallists=yes' \
		'--enable-totalblocklist=yes'

override_dh_auto_install:
	dh_auto_install --destdir=debian/e2guardian/
	# mv debian/e2guardian/usr/share/e2guardian/languages/ debian/e2guardian/etc/e2guardian/
	mkdir -p debian/e2guardian/usr/lib/cgi-bin/
	mv debian/e2guardian/usr/share/e2guardian/e2guardian.pl debian/e2guardian/usr/lib/cgi-bin/
	chmod 755 debian/e2guardian/usr/lib/cgi-bin/e2guardian.pl
	rm -rf debian/e2guardian/usr/share/e2guardian/scripts/
	rm -f debian/e2guardian/etc/e2guardian/logrotation
	mkdir -p debian/e2guardian/etc/logrotate.d/
	cp migration_installation/logrotate.d/e2guardian debian/e2guardian/etc/logrotate.d/
	mkdir -p debian/e2guardian/etc/init.d/
	cp migration_installation/init.d/e2guardian-rc.d debian/e2guardian/etc/init.d/e2guardian

override_dh_installinit:
	dh_installinit --error-handler=init_failed --noscripts

## e2guardian 3.2.0

=== debian/changelog ===
e2guardian (3.2.0-2) eole-2.5-unstable; urgency=medium

  [ Philippe Caseiro ]
  * [d2c700f] Removing init script from package
  * [8bf8027] Nettoyage des conffiles pour la version 3.2.0
  * [ccaa062] On n'installe plus la configuration logrotate pour e2guardian

  [ Daniel Dehennin ]

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Wed, 16 Sep 2015 13:41:27 +0200

e2guardian (3.2.0-1) eole-2.5-unstable; urgency=low

  * Initial release. 

 -- Équipe EOLE <eole@ac-dijon.fr>  Tue, 15 Sep 2015 15:27:03 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Vcs-Browser: https://github.com/e2guardian/e2guardian
 Vcs-Git: https://github.com/e2guardian/e2guardian
 
-Package: e2guardian 
+Package: e2guardian
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,6 @@
 override_dh_auto_configure:
 	./autogen.sh && ./configure \
 		--prefix=/usr \
-		--enable-clamav=yes \
 		--enable-clamd=yes \
 		--with-proxyuser=e2guardian \
 		--with-proxygroup=e2guardian \
@@ -26,10 +25,9 @@
 		'LDFLAGS=-Wl,-z,relro' \
 		'CPPFLAGS=-D_FORTIFY_SOURCE=2' \
 		'CFLAGS=-g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security' \
-		'--enable-pcre=yes'  \
-		'--with-filedescriptors=1024' \
-		'--enable-locallists=yes' \
-		'--enable-totalblocklist=yes'
+		--enable-pcre=yes  \
+		--with-filedescriptors=8192 \
+    --enable-sslmitm=yes
 
 override_dh_auto_install:
 	dh_auto_install --destdir=debian/e2guardian/
@@ -39,10 +37,10 @@
 	chmod 755 debian/e2guardian/usr/lib/cgi-bin/e2guardian.pl
 	rm -rf debian/e2guardian/usr/share/e2guardian/scripts/
 	rm -f debian/e2guardian/etc/e2guardian/logrotation
-	mkdir -p debian/e2guardian/etc/logrotate.d/
-	cp migration_installation/logrotate.d/e2guardian debian/e2guardian/etc/logrotate.d/
-	mkdir -p debian/e2guardian/etc/init.d/
-	cp migration_installation/init.d/e2guardian-rc.d debian/e2guardian/etc/init.d/e2guardian
+	#mkdir -p debian/e2guardian/etc/logrotate.d/
+	#cp migration_installation/logrotate.d/e2guardian debian/e2guardian/etc/logrotate.d/
+	#mkdir -p debian/e2guardian/etc/init.d/
+	#cp migration_installation/init.d/e2guardian-rc.d debian/e2guardian/etc/init.d/e2guardian
 
 override_dh_installinit:
 	dh_installinit --error-handler=init_failed --noscripts

## e2guardian 3.4.0.3

=== debian/changelog ===
e2guardian (3.4.0.3-2) unstable; urgency=medium

  * debian/patches:
    + Add 0001_fix-certificate-bug-with-chrome-browser.patch. Make sure
      self-created certificates contain a SAN (subjectAltName) field. (Closes:
      #862855).

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 31 May 2017 11:45:41 +0200

e2guardian (3.4.0.3-1) unstable; urgency=medium

  * Initial release to Debian. (Closes: #836281).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 07 Sep 2016 16:37:57 +0200

=== debian/control ===
Source: e2guardian
Section: web
Priority: optional
Maintainer: Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Benjamin Schlüter <bschlueter@posteo.de>,
Build-Depends: autotools-dev,
               debhelper (>= 9),
               dpkg-dev (>= 1.16.1.1),
               dh-autoreconf,
               quilt,
               libclamav-dev (>= 0.90),
               libpcre3-dev,
               zlib1g-dev,
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/debian-edu/pkg-team/e2guardian.git
Vcs-Browser: https://anonscm.debian.org/git/debian-edu/pkg-team/e2guardian.git
Homepage: https://github.com/e2guardian/e2guardian

Package: e2guardian
Architecture: any
Depends: adduser,
         clamav (>= 0.80),
         perl, ${misc:Depends},
         ${shlibs:Depends},
Suggests: clamav-freshclam,
          squid,
Description: Web content filtering (Dansguardian fork)
 e2guardian filters the content of pages based on many methods
 including phrase matching, PICS filtering and URL filtering. It does
 not purely filter based on a banned list of sites.
 .
 It provides real-time virus scanning capabilities for content access.
 .
 e2guardian is designed to be completely flexible and allows you to tailor
 the filtering to your exact needs. It can be as draconian or as
 unobstructive as you want. The default settings are geared towards what a
 primary school might want but e2guardian puts you in control of what you
 want to block.
 .
 e2guardian requires squid or another similar caching proxy server
 on your local network.

=== debian/rules ===
#!/usr/bin/make -f

DHFLAGS=--parallel

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --with quilt $(DHFLAGS)

override_dh_auto_configure:
	NOCONFIGURE=1 ./autogen.sh
	dh_auto_configure $(DHFLAGS) -- \
	    --prefix=/usr \
	    --enable-clamav=yes \
	    --enable-clamd=yes \
	    --with-proxyuser=e2guardian \
	    --with-proxygroup=e2guardian \
	    --sysconfdir=/etc \
	    --localstatedir=/var \
	    --enable-icap=yes \
	    --enable-commandline=yes \
	    --enable-email=yes \
	    --enable-ntlm=yes \
	    --enable-trickledm=yes \
	    --mandir=\$${prefix}/share/man \
	    --infodir=\$${prefix}/share/info

override_dh_install:
	dh_install --fail-missing

override_dh_installexamples:
	dh_installexamples
	chmod a-x debian/e2guardian/usr/share/doc/e2guardian/examples/template.html

override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/e2guardian/etc/e2guardian/
	mkdir -p debian/e2guardian/usr/lib/cgi-bin/
	mv debian/e2guardian/usr/share/e2guardian/languages/ debian/e2guardian/etc/e2guardian/
	mv debian/e2guardian/usr/share/e2guardian/e2guardian.pl debian/e2guardian/usr/lib/cgi-bin/
	chmod 755 debian/e2guardian/usr/lib/cgi-bin/e2guardian.pl
	rm -rf debian/e2guardian/usr/share/e2guardian/scripts/
	rm -f debian/e2guardian/etc/e2guardian/logrotation

override_dh_installinit:
	dh_installinit --error-handler=init_failed

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/e2guardian-$1.tar.gz/ \
https://github.com/e2guardian/e2guardian/tags .*/archive/v?([\d\.]+).tar.gz

## e2guardian 3.5.1

=== debian/changelog ===
e2guardian (3.5.1-2~eole25) eole-2.5-unstable; urgency=medium

  * [7fd4d8f] Buffer overflow when running with more than 1024 children

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Wed, 10 May 2017 14:23:17 +0200

e2guardian (3.5.1-1~eole25) eole-2.5-unstable; urgency=medium

  * [4e5595c] New upstream version 3.5.0
  * [3805f27] New upstream version 3.5.1
  * [3822a4f] Update EOLE packaging for new release 3.5.1

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Thu, 27 Apr 2017 15:42:23 +0200

e2guardian (3.2.0-4) eole-2.5-unstable; urgency=medium

  * [477ba33] Buffer overflow with url/domain size beyond 2048 in Lists

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Mon, 05 Dec 2016 15:24:00 +0100

e2guardian (3.2.0-3) eole-2.5-unstable; urgency=medium

  * [1375b9b] Remove dansguardian on installation

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Wed, 20 Jan 2016 11:12:37 +0100

=== debian/control ===
Source: e2guardian
Section: web
Priority: optional
Maintainer: Équipe EOLE <eole@ac-dijon.fr>
Build-Depends: debhelper (>= 9),
               automake,
               autotools-dev,
               dh-autoreconf,
               libclamav-dev (>= 0.90),
               libpcre3-dev,
               libssl-dev,
               pkg-config,
               zlib1g-dev
Standards-Version: 3.9.7
Vcs-Browser: https://dev-eole.ac-dijon.fr/projects/e2guardian/repository
Vcs-Git: https://dev-eole.ac-dijon.fr/git/e2guardian.git
Homepage: https://dev-eole.ac-dijon.fr/projects/e2guardian

Package: e2guardian
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         adduser,
         perl
Suggests: squid,
          clamav,
          clamav-freshclam
Conflicts: dansguardian
Replaces: dansguardian
Description: Web content filtering
 e2guardian filters the content of pages based on many methods
 including phrase matching, PICS filtering and URL filtering. It does
 not purely filter based on a banned list of sites.
 .
 It provides real-time virus scanning capabilities for content access.
 .
 e2guardian is designed to be completely flexible and allows you to tailor
 the filtering to your exact needs. It can be as draconian or as
 unobstructive as you want. The default settings are geared towards what a
 primary school might want but e2guardian puts you in control of what you
 want to block.
 .
 e2guardian requires squid or another similar caching proxy server
 on your local network.

=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE=1
# export DH_OPTIONS=-v

# Avoid buffer overflow
# - https://github.com/e2guardian/e2guardian/issues/154
# - https://github.com/e2guardian/e2guardian/issues/147
FD_SETSIZE := 65535

%:
	dh $@

override_dh_auto_configure:
	./autogen.sh
	dpkg-buildflags --export=make
	dh_auto_configure -- \
		CXXFLAGS=-DFD_SETSIZE=$(FD_SETSIZE) \
		--prefix=/usr \
		--enable-clamd=yes \
		--with-proxyuser=e2guardian \
		--with-proxygroup=e2guardian \
		--sysconfdir=/etc \
		--localstatedir=/var \
		--enable-icap=yes \
		--enable-commandline=yes \
		--enable-email=yes \
		--enable-ntlm=yes \
		--enable-trickledm=yes \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--enable-pcre=yes  \
		--with-filedescriptors=$(FD_SETSIZE) \
		--enable-sslmitm=yes

override_dh_auto_install:
	dh_auto_install --destdir=debian/e2guardian/
	# mv debian/e2guardian/usr/share/e2guardian/languages/ debian/e2guardian/etc/e2guardian/
	mkdir -p debian/e2guardian/usr/lib/cgi-bin/
	mv debian/e2guardian/usr/share/e2guardian/e2guardian.pl debian/e2guardian/usr/lib/cgi-bin/
	chmod 755 debian/e2guardian/usr/lib/cgi-bin/e2guardian.pl
	rm -rf debian/e2guardian/usr/share/e2guardian/scripts/
	rm -f debian/e2guardian/etc/e2guardian/logrotation
	#mkdir -p debian/e2guardian/etc/logrotate.d/
	#cp migration_installation/logrotate.d/e2guardian debian/e2guardian/etc/logrotate.d/
	#mkdir -p debian/e2guardian/etc/init.d/
	#cp migration_installation/init.d/e2guardian-rc.d debian/e2guardian/etc/init.d/e2guardian

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/e2guardian-$1\.tar\.gz/ \
  https://github.com/e2guardian/e2guardian/releases .*/v?(\d\S+)\.tar\.gz

## e2guardian 4.1.5eole262

=== debian/changelog ===
e2guardian (4.1.5eole262-2) eole-2.6.2-proposed-updates; urgency=medium

  * Fix dependencies

 -- Daniel Dehennin <daniel.dehennin@baby-gnu.org>  Mon, 18 Jun 2018 11:50:36 +0200

e2guardian (4.1.5eole262-1) eole-2.6.2-proposed-updates; urgency=medium

  * Adapt to EOLE 2.6.2
  * Remove init script and systemd configuration

 -- Daniel Dehennin <daniel.dehennin@baby-gnu.org>  Mon, 18 Jun 2018 10:31:05 +0200

e2guardian (4.1.5-1) unstable; urgency=medium

  * New upstream release. (Closes: #864524).
  * debian/copyright:
    + Update copright attributions.
    + Use secure URI to reference copyright format.
    + Update autogenerated copyright file.
  * debian/control:
    + Bump Standards-Version: to 4.1.3. No changes needed.
    + Drop unnecessary B-D as of DH level 11: autotools-dev, dh-autoreconf.
    + Add B-D: libssl-dev (>= 1.1).
    + Add B-D: libpthread-stubs0-dev.
    + Packaging VCS has been migrated to salsa.debian.org. Update Vcs-*:
      fields.
    + Bump Standards-Version: to 4.1.4. No changes needed.
  * debian/{control,compat}:
    + Bump DH version level to 11.
  * debian/rules:
    + Disable dh-autoreconf, we use autogen.sh script.
    + Drop --with-quilt from this pkg. It is source format 3.0 (quilt) already.
    + Enable SSLMitM (--enable-sslmitm=yes) support. (Closes: #892788)
    + Build with PCRE support (--enable-pcre=yes).
    + Add --with-systemd for all DH calls. This should enable e2guardian
      directly after installation. (Closes: #860963).
  * debian/: White-space clean-up.
  * debian/patches:
    + Add 1001_typo-fix-for-syslog-msg.patch. Typo fix in syslog message.
    + Add 1002_typo-fix.patch. Yet another typo fix.
    + Forward patch 1001_typo-fix-for-syslog-msg.patch upstream. Add Forwarded:
      field.
  * debian/postinst:
    + Avoid recursive chmod/chown.
    + Use -maxdepth 1 in find/chmod/chown.
  * debian/contentregexplist:
    + Falsely sneaked into debian/ subfolder. Dropping it
  * lintian:
    + Catch various lintian warnings/errors we are aware of and can't change
      at the time being:

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 22 May 2018 14:30:04 +0200

e2guardian (3.5.1-2) eole-2.6-unstable; urgency=medium

  * [08f1a4e] Buffer overflow when running with more than 1024 children

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Wed, 10 May 2017 11:44:16 +0200

e2guardian (3.5.1-1) eole-2.6-unstable; urgency=medium

  * [3805f27] New upstream version 3.5.1

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Thu, 30 Mar 2017 11:53:41 +0200

e2guardian (3.5.0-1) eole-2.6-unstable; urgency=medium

  * New upstream release

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Wed, 15 Feb 2017 10:47:14 +0100

=== debian/control ===
--- 
+++ 
@@ -2,32 +2,36 @@
 Section: web
 Priority: optional
 Maintainer: Équipe EOLE <eole@ac-dijon.fr>
+XSBC-Original-Maintainer: Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>
+XSBC-Original-Uploaders:
+ Mike Gabriel <sunweaver@debian.org>,
+ Benjamin Schlüter <bschlueter@posteo.de>,
 Build-Depends: debhelper (>= 9),
+               dpkg-dev (>= 1.16.1.1),
                automake,
-               autotools-dev,
-               dh-autoreconf,
                libclamav-dev (>= 0.90),
                libpcre3-dev,
-               libssl-dev,
-               pkg-config,
-               zlib1g-dev
-Standards-Version: 3.9.7
+               libpthread-stubs0-dev,
+               libssl-dev (>= 1.0),
+               zlib1g-dev,
+Standards-Version: 3.9.8
 Vcs-Browser: https://dev-eole.ac-dijon.fr/projects/e2guardian/repository
 Vcs-Git: https://dev-eole.ac-dijon.fr/git/e2guardian.git
 Homepage: https://dev-eole.ac-dijon.fr/projects/e2guardian
+XSBC-Original-Vcs-Browser: https://salsa.debian.org/debian-edu-pkg-team/e2guardian
+XSBC-Original-Vcs-Git: https://salsa.debian.org/debian-edu-pkg-team/e2guardian.git
+XSBC-Original-Homepage: https://github.com/e2guardian/e2guardian
 
 Package: e2guardian
 Architecture: any
-Depends: ${misc:Depends},
+Depends: adduser,
+         clamav (>= 0.80),
+         perl,
+         ${misc:Depends},
          ${shlibs:Depends},
-         adduser,
-         perl
-Suggests: squid,
-          clamav,
-          clamav-freshclam
-Conflicts: dansguardian
-Replaces: dansguardian
-Description: Web content filtering
+Suggests: clamav-freshclam,
+          squid,
+Description: Web content filtering (Dansguardian fork)
  e2guardian filters the content of pages based on many methods
  including phrase matching, PICS filtering and URL filtering. It does
  not purely filter based on a banned list of sites.

## e2guardian 4.1.5eole270

=== debian/changelog ===
e2guardian (4.1.5eole270-1) eole-2.7-unstable; urgency=medium

  * Adapt to EOLE 2.7.0
  * Remove init script and systemd configuration
  * Fix Build-Deps

 -- Daniel Dehennin <daniel.dehennin@baby-gnu.org>  Mon, 18 Jun 2018 10:31:05 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 XSBC-Original-Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
  Benjamin Schlüter <bschlueter@posteo.de>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
                dpkg-dev (>= 1.16.1.1),
                automake,
                libclamav-dev (>= 0.90),
@@ -14,7 +14,7 @@
                libpthread-stubs0-dev,
                libssl-dev (>= 1.0),
                zlib1g-dev,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.4.1
 Vcs-Browser: https://dev-eole.ac-dijon.fr/projects/e2guardian/repository
 Vcs-Git: https://dev-eole.ac-dijon.fr/git/e2guardian.git
 Homepage: https://dev-eole.ac-dijon.fr/projects/e2guardian

=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE=1
# export DH_OPTIONS=-v
DHFLAGS=--parallel

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@  --without autoreconf $(DHFLAGS)

override_dh_auto_configure:
	NOCONFIGURE=1 ./autogen.sh
	dh_auto_configure $(DHFLAGS) -- \
	    --prefix=/usr \
	    --enable-clamav=yes \
	    --enable-clamd=yes \
	    --with-proxyuser=e2guardian \
	    --with-proxygroup=e2guardian \
	    --sysconfdir=/etc \
	    --localstatedir=/var \
	    --enable-icap=yes \
	    --enable-commandline=yes \
	    --enable-email=yes \
	    --enable-ntlm=yes \
	    --enable-trickledm=yes \
	    --enable-sslmitm=yes \
	    --enable-pcre=yes \
	    --mandir=\$${prefix}/share/man \
	    --infodir=\$${prefix}/share/info

override_dh_install:
	dh_install --fail-missing

override_dh_installexamples:
	dh_installexamples
	chmod a-x debian/e2guardian/usr/share/doc/e2guardian/examples/template.html

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/e2guardian/etc/e2guardian/
	mkdir -p debian/e2guardian/usr/lib/cgi-bin/
	mv debian/e2guardian/usr/share/e2guardian/languages/ debian/e2guardian/etc/e2guardian/
	mv debian/e2guardian/usr/share/e2guardian/e2guardian.pl debian/e2guardian/usr/lib/cgi-bin/
	chmod 755 debian/e2guardian/usr/lib/cgi-bin/e2guardian.pl
	rm -rf debian/e2guardian/usr/share/e2guardian/scripts/
	rm -f debian/e2guardian/etc/e2guardian/logrotation

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

## e2guardian 5.1.1

=== debian/changelog ===
e2guardian (5.1.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch:
    + Work around #906150 and change URL from .../tags to .../releases.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 16 Aug 2018 12:37:08 +0200

e2guardian (5.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 1001_typo-fix-for-syslog-msg.patch and 1002_typo-fix.patch.
      Applied upstream.
  * debian/rules:
    + Use dh_missing, rather than dh_install for --fail-missing option.
  * debian/e2guardian.docs:
    + Update list of doc files shipped with the package.
  * debian/e2guardian.doc-base:
    + Update list of documentation files.
  * debian/copyright:
    + Update copyright attributions.
    + Update auto-generated copyright.in file.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 18 Jul 2018 16:49:54 +0200

=== debian/control ===
Source: e2guardian
Section: web
Priority: optional
Maintainer: Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Benjamin Schlüter <bschlueter@posteo.de>,
Build-Depends: debhelper (>= 11~),
               dpkg-dev (>= 1.16.1.1),
               quilt,
               libclamav-dev (>= 0.90),
               libpcre3-dev,
               libpthread-stubs0-dev,
               libssl-dev (>= 1.1),
               zlib1g-dev,
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/debian-edu-pkg-team/e2guardian
Vcs-Git: https://salsa.debian.org/debian-edu-pkg-team/e2guardian.git
Homepage: https://github.com/e2guardian/e2guardian

Package: e2guardian
Architecture: any
Depends: adduser,
         clamav (>= 0.80),
         perl, ${misc:Depends},
         ${shlibs:Depends},
Suggests: clamav-freshclam,
          squid,
Description: Web content filtering (Dansguardian fork)
 e2guardian filters the content of pages based on many methods
 including phrase matching, PICS filtering and URL filtering. It does
 not purely filter based on a banned list of sites.
 .
 It provides real-time virus scanning capabilities for content access.
 .
 e2guardian is designed to be completely flexible and allows you to tailor
 the filtering to your exact needs. It can be as draconian or as
 unobstructive as you want. The default settings are geared towards what a
 primary school might want but e2guardian puts you in control of what you
 want to block.
 .
 e2guardian requires squid or another similar caching proxy server
 on your local network.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,5 @@
 #!/usr/bin/make -f
 
-# export DH_VERBOSE=1
-# export DH_OPTIONS=-v
 DHFLAGS=--parallel
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
@@ -9,7 +7,7 @@
 include /usr/share/dpkg/buildflags.mk
 
 %:
-	dh $@  --without autoreconf $(DHFLAGS)
+	dh $@  --with-systemd --without autoreconf $(DHFLAGS)
 
 override_dh_auto_configure:
 	NOCONFIGURE=1 ./autogen.sh
@@ -31,8 +29,8 @@
 	    --mandir=\$${prefix}/share/man \
 	    --infodir=\$${prefix}/share/info
 
-override_dh_install:
-	dh_install --fail-missing
+override_dh_missing:
+	dh_missing --fail-missing
 
 override_dh_installexamples:
 	dh_installexamples
@@ -51,5 +49,8 @@
 	rm -rf debian/e2guardian/usr/share/e2guardian/scripts/
 	rm -f debian/e2guardian/etc/e2guardian/logrotation
 
+override_dh_installinit:
+	dh_installinit --error-handler=init_failed
+
 get-orig-source:
 	uscan --noconf --force-download --rename --download-current-version --destdir=..

## e2guardian 5.2.2

=== debian/changelog ===
e2guardian (5.2.2-3) unstable; urgency=medium

  [ Mike Gabriel ]
  * ClamAV integration upload. Thanks to Scott Kitterman for providing
    the below changes. (Closes: #920965).
  * debian/control:
    + Bump Standards-Version: to 4.3.0. No changes needed.
    + Add to B-D: pkg-config.
    + Add Pre-Depends: ${misc:Pre-Depends}. Thanks lintian
      (skip-systemd-native-flag-missing-pre-depends).
  * debian/{control,compat}:
    + Drop compat file. Switch to debhelper-compat in control file.
      Bump DH compat level to version 12.
  * debian/e2guardian.lintian-overrides:
    + Drop file. Not required any more.

  [ Scott Kitterman ]
  * Remove unknown configure options.
  * Drop unneeded build-depends on libclamav-dev (package uses clamd at run
    time, not libclamav).
  * Add explicit depends on clamav-daemon since it is now in a separate binary.
  * Drop suggests on clamav-freshclam (clamav-daemon depends on it).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 02 Feb 2019 16:29:17 +0100

e2guardian (5.2.2-2) unstable; urgency=medium

  * debian/e2guardian.logrotate:
    + Add option 'missingok', to avoid logrotate choking if package has been
      removed, but not purged. (Closes: #911450).
  * debian/prerm:
    + Drop file.
  * debian/postinst:
    + Drop config value detection. Rework complete file. (Closes: #909821).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 04 Dec 2018 13:57:24 +0100

e2guardian (5.2.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.2.1. No changes needed.
  * debian/source/lintian-overrides:
    + Add neterr_template.html overrides (embeds a PNG image).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 30 Oct 2018 19:27:55 +0100

e2guardian (5.2.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.2.0. No changes needed.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 28 Aug 2018 09:58:15 +0200

## e2guardian 5.3.1

=== debian/changelog ===
e2guardian (5.3.1-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 22 Feb 2019 14:16:07 +0100

=== debian/control ===
--- 
+++ 
@@ -5,27 +5,27 @@
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
  Benjamin Schlüter <bschlueter@posteo.de>,
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dpkg-dev (>= 1.16.1.1),
                quilt,
-               libclamav-dev (>= 0.90),
                libpcre3-dev,
                libpthread-stubs0-dev,
                libssl-dev (>= 1.1),
+               pkg-config,
                zlib1g-dev,
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/debian-edu-pkg-team/e2guardian
 Vcs-Git: https://salsa.debian.org/debian-edu-pkg-team/e2guardian.git
 Homepage: https://github.com/e2guardian/e2guardian
 
 Package: e2guardian
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends},
 Depends: adduser,
-         clamav (>= 0.80),
+         clamav-daemon,
          perl, ${misc:Depends},
          ${shlibs:Depends},
-Suggests: clamav-freshclam,
-          squid,
+Suggests: squid,
 Description: Web content filtering (Dansguardian fork)
  e2guardian filters the content of pages based on many methods
  including phrase matching, PICS filtering and URL filtering. It does

## e2guardian 5.3.3

=== debian/changelog ===
e2guardian (5.3.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.4.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 02 Aug 2019 19:50:00 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libssl-dev (>= 1.1),
                pkg-config,
                zlib1g-dev,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/debian-edu-pkg-team/e2guardian
 Vcs-Git: https://salsa.debian.org/debian-edu-pkg-team/e2guardian.git
 Homepage: https://github.com/e2guardian/e2guardian

## e2guardian 5.3.4

=== debian/changelog ===
e2guardian (5.3.4-2) unstable; urgency=medium

  * debian/changelog:
    + Post-upload fix-up of missing changelog item regarding addition of
      1001_spelling-fixes.patch
  * debian/watch:
    + Fix Github watch URL.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 29 Apr 2021 11:48:42 +0200

e2guardian (5.3.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/upstream/metadata:
    + Add file. Comply with DEP-12.
  * debian/control:
    + Bump Standards-Version: to 4.5.0. No changes needed.
    + Add Rules-Requires-Root: field and set it to 'no'.
  * debian/patches:
    + Add 1001_spelling-fixes.patch. Fix spelling of the work 'implement'.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 15 Feb 2020 10:43:10 +0100

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/e2guardian-$1.tar.gz/ \
https://github.com/e2guardian/e2guardian/releases .*/archive/refs/tags/v?([\d\.]+).tar.gz

## e2guardian 5.3.5

=== debian/changelog ===
e2guardian (5.3.5-4) unstable; urgency=medium

  * debian/watch:
    + Use different upstream URL path.
  * debian/control:
    + Bump Standards-Version: to 4.6.1. No changes needed.
  * debian/copyright:
    + Update attributions for debian/.
  * lintian: Update tag syntax.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 22 Oct 2022 20:05:11 +0000

e2guardian (5.3.5-3) unstable; urgency=medium

  * debian/patches:
    + CVE-2021-44273: Fix missing SSL certificate/hostname validation in
      the SSL MiTM engine (if built with OpenSSL v1.1.x). Add
      0001_CVE-2021-44273_fix-hostname-validation-in-certificates.patch.
      (Closes: #1003125).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 07 Jan 2022 21:35:18 +0100

e2guardian (5.3.5-2) unstable; urgency=medium

  * debian/patches:
    + Add 1002_fix-maxcontentramcachescansize.patch. Make sure values of
      maxcontentfiltersize and maxcontentramcachesize obey to the requirements
      in the inline documentation. (Closes: #998430).
    + Add 1003_AM_INIT_AUTOMAKE-expanded-multiple-times.patch. Avoid expanding
      AM_INIT_AUTOMAKE multiple times. (Closes: #998482).
  * debian/source/lintian-overrides:
    + Adjust for lintian in Debian bookworm.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 15 Nov 2021 16:24:16 +0100

e2guardian (5.3.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch:
    + Bump format version to 4.
  * debian/source/lintian-overrides:
    + Drop duplicate line from.
  * debian/copyright:
    + Update copyright attributions.
  * debian/e2guardian.lintian-overrides:
    + Add file; ignore national-encoding issues being reported by lintian.
  * debian/control:
    + Bump DH compat level to version 13.
    + Bump Standards-Version: to 4.6.0. No changes needed.
  * debian/e2guardian.service:
    + Enable some hardening features.
  * debian/patches:
    + Mark 2002_Debian-clamd-socket.patch as Debian-specific.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 13 Sep 2021 13:33:53 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
  Benjamin Schlüter <bschlueter@posteo.de>,
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dpkg-dev (>= 1.16.1.1),
                quilt,
                libpcre3-dev,
@@ -13,7 +13,8 @@
                libssl-dev (>= 1.1),
                pkg-config,
                zlib1g-dev,
-Standards-Version: 4.4.0
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian-edu-pkg-team/e2guardian
 Vcs-Git: https://salsa.debian.org/debian-edu-pkg-team/e2guardian.git
 Homepage: https://github.com/e2guardian/e2guardian

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,6 @@
 	NOCONFIGURE=1 ./autogen.sh
 	dh_auto_configure $(DHFLAGS) -- \
 	    --prefix=/usr \
-	    --enable-clamav=yes \
 	    --enable-clamd=yes \
 	    --with-proxyuser=e2guardian \
 	    --with-proxygroup=e2guardian \
@@ -23,7 +22,6 @@
 	    --enable-commandline=yes \
 	    --enable-email=yes \
 	    --enable-ntlm=yes \
-	    --enable-trickledm=yes \
 	    --enable-sslmitm=yes \
 	    --enable-pcre=yes \
 	    --mandir=\$${prefix}/share/man \

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/e2guardian-$1.tar.gz/ \
https://github.com/e2guardian/e2guardian/tags .*/archive/refs/tags/v?([\d\.]+).tar.gz

## e2guardian 5.5.6

=== debian/changelog ===
e2guardian (5.5.6-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 05 Nov 2024 15:49:25 +0100

e2guardian (5.5.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version to 4.7.0. No changes needed.
  * debian/patches:
    + Drop 1001_spelling-fixes.patch, 1002_fix-
      maxcontentramcachescansize.patch and 0001_possible-fix-for-794.patch.
      All applied upstream.
  * debian/patches:
    + Trivially rebase patches 1003 and 1004.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 09 Jun 2024 22:41:21 +0200

e2guardian (5.5.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Add 1003_pcre2.patch. Build against pcre2 rather than deprecated pcre
      library.
    + Drop patches applied upstream.
    + Update 1001_spelling-fixes.patch and re-submit as upstream PR against
      v5.5 branch.
    + Rebase 1002_fix-maxcontentramcachescansize.patch against v5.5 and re-
      submit upstream as regression fix. (Shipped in v5.4, but not v5.5).
    + Cherry-pick 0001_possible-fix-for-794.patch from upstream. Detect
      incomplete headers and bail out.
    + Add 1004_32-bit-correct-worker-count.patch. Reduce httpworkers count to
      300 on 32bit architectures. Thanks to Steve Langasek for providing the
      idea and a patch. (Closes: #1053343).
  * debian/rules:
    + Add dh_clean override and allow rebuilding the package.
  * debian/e2guardian.examples:
    + Drop contrib/monitor_helper_sample. File not available in upstream sources
      anymore.
  * debian/control:
    + Add to B-D: libpcre2-dev.
    + In B-D, move from pkg-config to pkgconf.
    + Bump Standards-Version: to 4.6.2. No changes needed.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions, rework entire file.
  * debian/e2guardian.lintian-overrides:
    + Update national-encoding override list.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 09 Feb 2024 12:59:02 +0100

e2guardian (5.3.5-5) unstable; urgency=medium

  * debian/watch:
    + Fix tracking URL / path pattern.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 10 Sep 2023 14:49:33 +0200

e2guardian (5.3.5-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build with GCC 13. (Closes: #1037637)
  * Disable pcre support. (Closes: #1000131)
  * d/control: Drop unused quilt.

 -- Bastian Germann <bage@debian.org>  Wed, 30 Aug 2023 08:40:56 +0000

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,12 @@
  Benjamin Schlüter <bschlueter@posteo.de>,
 Build-Depends: debhelper-compat (= 13),
                dpkg-dev (>= 1.16.1.1),
-               quilt,
-               libpcre3-dev,
+               libpcre2-dev,
                libpthread-stubs0-dev,
                libssl-dev (>= 1.1),
-               pkg-config,
+               pkgconf,
                zlib1g-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian-edu-pkg-team/e2guardian
 Vcs-Git: https://salsa.debian.org/debian-edu-pkg-team/e2guardian.git

## e2guardian 5.5.7

=== debian/changelog ===
e2guardian (5.5.7-1) unstable; urgency=medium

  * New usptream release.
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 23 Mar 2025 17:36:51 +0100

## e2guardian 5.5.8

=== debian/changelog ===
e2guardian (5.5.8-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 09 Apr 2025 21:19:31 +0200

## e2guardian 5.5.9

=== debian/changelog ===
e2guardian (5.5.9-2) unstable; urgency=medium

  * debian/copyright:
    + Update FSF mailing address.
  * debian/e2guardian.docs:
    + Fix installation of renamed UPGRADING documentation (now:
      UPGRADING_from_dansguardian).
    + Add new doc file (certificate_errors).
  * debian/e2guardian.doc-base:
    + Update file for new upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 07 Sep 2025 06:58:49 +0200

e2guardian (5.5.9-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Trivially rebase 1004_32-bit-correct-worker-count.patch.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/source/lintian-overrides:
    + Drop source-is-missing override for file not present in this version
      anymore.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 06 Sep 2025 11:00:55 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                libssl-dev (>= 1.1),
                pkgconf,
                zlib1g-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian-edu-pkg-team/e2guardian
 Vcs-Git: https://salsa.debian.org/debian-edu-pkg-team/e2guardian.git

=== debian/rules ===
--- 
+++ 
@@ -50,5 +50,19 @@
 override_dh_installinit:
 	dh_installinit --error-handler=init_failed
 
+override_dh_clean:
+	dh_clean
+	rm -f Makefile.in
+	rm -f README
+	rm -f aclocal.m4
+	rm -f compile
+	rm -f config.guess
+	rm -f config.sub
+	rm -f configure
+	rm -f depcomp
+	rm -f e2config.h.in
+	rm -f install-sh
+	rm -f missing
+
 get-orig-source:
 	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/v?([\d\.-]+)r\.tar\.gz/e2guardian-$1.tar.gz/ \
https://github.com/e2guardian/e2guardian/tags .*/archive/refs/tags/v?([\d\.]+)r.tar.gz
